commit:     7c5dfe07f9351075994b999efec21b2b818c0d6b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 17:57:02 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 17:59:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c5dfe07

net-mail/mess822: extra || die

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/mess822/mess822-0.58-r2.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/net-mail/mess822/mess822-0.58-r2.ebuild 
b/net-mail/mess822/mess822-0.58-r2.ebuild
index eb062590f36..f4e4688dd5b 100644
--- a/net-mail/mess822/mess822-0.58-r2.ebuild
+++ b/net-mail/mess822/mess822-0.58-r2.ebuild
@@ -25,9 +25,9 @@ PATCHES=(
 src_prepare() {
        default
 
-       echo "$(tc-getCC) ${CFLAGS}" > conf-cc
-       echo "$(tc-getCC) ${LDFLAGS}" > conf-ld
-       echo "/usr" > conf-home
+       echo "$(tc-getCC) ${CFLAGS}" > conf-cc || die
+       echo "$(tc-getCC) ${LDFLAGS}" > conf-ld || die
+       echo "/usr" > conf-home || die
 
        # fix errno.h problem; bug #26165
        sed -i 's/^extern int errno;/#include <errno.h>/' error.h || die
@@ -42,7 +42,7 @@ src_install() {
 
        # Now that the commands are compiled, update the conf-home file to point
        # to the installation image directory.
-       echo "${ED}/usr/" > conf-home
+       echo "${ED}/usr/" > conf-home || die
        sed -i -e "s:\"/etc\":\"${ED}/etc\":" hier.c || die "sed hier.c failed"
 
        emake setup

Reply via email to